Package com.mockobjects.jms

# Class MockQueueConnectionFactory

java.lang.Object
com.mockobjects.MockObject
com.mockobjects.jms.MockQueueConnectionFactory

All Implemented Interfaces:
  `Verifiable`

public class MockQueueConnectionFactory extends MockObject

## Constructor Summary

Constructors
Constructor
Description
`MockQueueConnectionFactory()`

## Method Summary

Modifier and Type
Method
Description
`QueueConnection`
`createQueueConnection()`
`QueueConnection`
`createQueueConnection(String userName, String password)`
`void`
`setExpectedPassword(String password)`
`void`
`setExpectedUserName(String userName)`
`void`
`setupQueueConnection(QueueConnection queueConnection)`
`void`
`setupThrowException(JMSException e)`

### Methods inherited from class com.mockobjects.MockObject

`notImplemented, notYetImplemented, verify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MockQueueConnectionFactory

public MockQueueConnectionFactory()

## Method Details

### createQueueConnection

public QueueConnection createQueueConnection() throws JMSException

Throws:
  `JMSException`

### createQueueConnection

public QueueConnection createQueueConnection(String userName, String password) throws JMSException

Throws:
  `JMSException`

### setExpectedUserName

public void setExpectedUserName(String userName)

### setExpectedPassword

public void setExpectedPassword(String password)

### setupQueueConnection

public void setupQueueConnection(QueueConnection queueConnection)

### setupThrowException

public void setupThrowException(JMSException e)